create database caveatemptor;

create table caveatemptor.ITEM (
   ITEM_ID integer not null auto_increment,
   VERSION integer not null,
   NAME varchar(255) not null,
   DESCRIPTION varchar(255) not null,
   CREATED datetime not null,
   USER_ID integer,
   BID_ID integer,
   primary key (ITEM_ID)
);

create table caveatemptor.USER (
   USER_ID integer not null auto_increment,
   VERSION integer not null,
   FIRSTNAME varchar(255) not null,
   LASTNAME varchar(255) not null,
   USERNAME varchar(16) not null unique,
   `PASSWORD` varchar(12) not null,
   EMAIL varchar(255) not null,
   primary key (USER_ID)
);

create table caveatemptor.BID (
   BID_ID integer not null auto_increment,
   AMOUNT numeric(19, 2) not null,
   AMOUNT_CURRENCY varchar(255) not null,
   CREATED datetime not null,
   ITEM_ID integer not null,
   USER_ID integer not null,
   primary key (BID_ID)
);
alter table caveatemptor.ITEM add index FK1_USER_ID (USER_ID), add constraint FK1_USER_ID foreign key (USER_ID) references caveatemptor.USER (USER_ID);
alter table caveatemptor.BID add index FK2_USER_ID (USER_ID), add constraint FK2_USER_ID foreign key (USER_ID) references caveatemptor.USER (USER_ID);
alter table caveatemptor.BID add index FK1_ITEM_ID (ITEM_ID), add constraint FK1_ITEM_ID foreign key (ITEM_ID) references caveatemptor.ITEM (ITEM_ID);